//-------------------------------------------------------------------
//
//  This code is copyright 2010 by G5 Entertainment AB.
//  Any unauthorized usage, either in part or in whole of this code
//  is strictly prohibited. Violators WILL be prosecuted to the
//  maximum extent allowed by law.
//
//-------------------------------------------------------------------
//
//         File: follow.js
//  Description: 
//       Author: Davidovich V. (ringo@g5software.com)

var follow_txt = 
{
"lang.en":
{
  "subject"       : "Yes! I want to receive news from G5 Games!",
  "body"          : "Send me news, game announcements and promotions from G5 Games!"
},
"lang.de":
{
  "subject"       : "Ja! Ich möchte Neuigkeiten von G5 Games erhalten!",
  "body"          : "Senden Sie mir Neuigkeiten, Infos über kommende Spiele und Aktionen von G5 Games!"
},
"lang.es":
{
  "subject"       : "Yes! I want to receive news from G5 Games!",
  "body"          : "Send me news, game announcements and promotions from G5 Games!"
},
"lang.fr":
{
  "subject"       : "Oui ! Je souhaite recevoir des informations de la part de G5 Games !",
  "body"          : "Envoyez-moi des infos, des annonces de jeux et des promotions de la part de G5 Games !"
},
"lang.it":
{
  "subject"       : "Sì! Voglio ricevere da G5 Games informazioni sulle novità!",
  "body"          : "Voglio ricevere informazioni da G5 Games sulle novità, sull'uscita di nuovi giochi e sulle promozioni!"
},
"lang.ru":
{
  "subject"       : "Да! Я хочу получать новости от G5 Games!",
  "body"          : "Я хочу получать информацию о новостях, анонсах новых игр и акциях от G5 Games!"
},
"lang.ja":
{
  "subject"       : "はい！G5 Gamesのからのニュースを希望します！",
  "body"          : "G5 Gamesからのニュースやゲーム関連の発表、プロモーションをぜひ知りたいです！"
},
"lang.ko":
{
  "subject"       : "네. G5 Games 뉴스를 받겠습니다!",
  "body"          : "G5 Games에서 보내는 뉴스, 게임 발표, 홍보 자료를 보내 주세요!"
},
"lang.zh":
{
  "subject"       : "是的，我想接收来自 G5 Games 的新闻！",
  "body"          : "给我发送来自 G5 Games 的新闻、游戏通知以及促销信息！"
},
"lang.pt":
{
  "subject"       : "Sim! Quero sim receber as notícias de G5 Games!",
  "body"          : "Mande-me as notícias, os anúncios de jogo e as promoções de G5 Games!"
},
"lang.nl":
{
  "subject"       : "Ja! Ik wil nieuws ontvangen van G5 Games!",
  "body"          : "Stuur mij nieuws, game-aankondigingen en promoties van G5 Games!"
},
"lang.sv":
{
  "subject"       : "Ja! Jag vill få nyheter från G5 Games!",
  "body"          : "Skicka nyheter, meddelanden och reklam för spel till mig från G5 Games!"
}
}

function subscribeParam(_param, _default)
{
  var result = window.localStorage.getItem(_param);

  if (!result)
    result = _default;

  return result;
}

function subscribeExec()
{
  var lockit   = lockitGet(follow_txt);
  var platform = subscribeParam("xpromo.platform", window.location.search.get("plat"));
  var udid     = subscribeParam("xpromo.udid",     window.location.search.get("udid"));
  var result   = "mailto:subscribe@g5e.com";

  result += "?subject=" + lockit.subject;

  if (platform)
    result += " (" + platform + ")";

  var body = lockit.body;
  if (platform == "iPhone" || platform == "iPad")
    body = "<html><body><img src='http://xpromo.g5e.com/v1/news/static/follow.jpg'><br/><font face='Arial' size='5' color='#4d4d4d'>" + body + "</font></body></html>";

  result += "&body=" + body;

  if (udid)
    result += "\n\n" + udid;

  result = encodeURI(result).replace(",", "%2C"); // for old xpromo clients
  location.href = "@ext(" + result + ")";
}
